#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA774_SU1E_AU1E_AU2E
#ifdef MEDIA772_SU1E
extern char G3746_[];
extern char G3747_[];
#endif


void F1956_EndProgram(int16_t P5821_, int16_t P5822_, long P5823_, ...) {
        char L5703_ac_Unreferenced[42];


#ifdef MEDIA773_SU1E_AU1E
        F1966_DebugEnter(7, P5822_);
#endif
        switch (P5822_) {
                case 18:
                        if (G3622_ == 1) {
#ifdef MEDIA772_SU1E
                                F1957_(G3746_, (int16_t)P5823_);
#endif
#ifdef MEDIA763_AU1E_AU2E
                                F1957_("M", (int16_t)P5823_);
#endif
                                for (;;);
                        }
                        F1892_(P5821_, 5, 360L);
                        for (;;);
                        break;
                default:
                        F1894_ExitHintOracle(P5821_, 2);
                case 17:
#ifdef MEDIA773_SU1E_AU1E
                        F1967_DebugExit(7, P5822_);
#endif
#ifdef MEDIA767_AU2E
                        break;
#endif
        }
}

void F1957_(char* P5824_, int16_t P5825_) {
        char L5704_[50];


#ifdef MEDIA772_SU1E
        F7101_sprintf(L5704_, G3747_, P5825_);
#endif
#ifdef MEDIA763_AU1E_AU2E
        F7101_sprintf(L5704_, "%d", P5825_);
#endif
        F1889_Screen_CPSX(7, 36);
        G3708_s_HintButton._pc_0x0E_String = L5704_;
        F1949_(7, &G3708_s_HintButton, NULL);
        F1889_Screen_CPSX(7, 37);
}
#endif
